Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.portlet
Class ControllerPageNavigationalState

    java.lang.Object
      org.jboss.portal.core.controller.portlet.ControllerPageNavigationalState

All Implemented Interfaces:
  org.jboss.portal.portlet.controller.state.PortletPageNavigationalState

    public class ControllerPageNavigationalState

extends java.lang.Object
implements org.jboss.portal.portlet.controller.state.PortletPageNavigationalState

Version:
  $Revision: 630 $
Author:
  Julien Viet, Thomas Heute, Boleslaw Dawidowicz

Constructor Summary
`ControllerPageNavigationalState(ControllerPageNavigationalState that, boolean mutable)`
`ControllerPageNavigationalState(NavigationalStateContext navigationalStateContext, ControllerPortletControllerContext controllerContext, boolean mutable)`

Method Summary
`void` | `flushUpdates()` Flush all updates to the navigational state context.
`CoordinationManager` | `getCoordinationManager()`
`java.util.Map<java.lang.String,java.lang.String[]>` | `getPortletPublicNavigationalState(java.lang.String windowName)` For now we do not implement any kind of mapping between qnames, it's the basic straightforward 1-1 mapping.
`java.util.Set<java.lang.String>` | `getPortletWindowIds()`
`org.jboss.portal.portlet.controller.state.PortletWindowNavigationalState` | `getPortletWindowNavigationalState(java.lang.String windowName)`
`java.util.Set<javax.xml.namespace.QName>` | `getPublicNames()`
`java.lang.String` | `getPublicNavigationalParameterId(java.lang.String windowName, javax.xml.namespace.QName name)`
`java.lang.String[]` | `getPublicNavigationalState(javax.xml.namespace.QName name)`
`Window` | `getWindow(java.lang.String windowName)`
`java.util.HashMap<javax.xml.namespace.QName,java.lang.String[]>` | `getWindowPublicContentStateParameters(java.lang.String windowName)`
`java.lang.String[]` | `getWindowPublicNavigationalState(java.lang.String windowName, javax.xml.namespace.QName name)`
`void` | `removePublicNavigationalState(javax.xml.namespace.QName name)`
`void` | `setPortletPublicNavigationalState(java.lang.String windowName, java.util.Map<java.lang.String,java.lang.String[]> update)`
`void` | `setPortletWindowNavigationalState(java.lang.String windowName, org.jboss.portal.portlet.controller.state.PortletWindowNavigationalState windowNavigationalState)`
`void` | `setPublicNavigationalState(javax.xml.namespace.QName name, java.lang.String[] value)`
`void` | `setWindowPublicNavigationalState(java.lang.String windowName, javax.xml.namespace.QName name, java.lang.String[] value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControllerPageNavigationalState

    public ControllerPageNavigationalState(NavigationalStateContext navigationalStateContext,
                                           ControllerPortletControllerContext controllerContext,
                                           boolean mutable)

### ControllerPageNavigationalState

    public ControllerPageNavigationalState(ControllerPageNavigationalState that,
                                           boolean mutable)

Method Detail

### flushUpdates

    public void flushUpdates()

  Flush all updates to the navigational state context.

### getPortletWindowIds

    public java.util.Set<java.lang.String> getPortletWindowIds()

  Specified by:
    `getPortletWindowIds` in interface `org.jboss.portal.portlet.controller.state.PortletPageNavigationalState`

### getPortletWindowNavigationalState

    public org.jboss.portal.portlet.controller.state.PortletWindowNavigationalState getPortletWindowNavigationalState(java.lang.String windowName)
                                                                                                               throws java.lang.IllegalArgumentException

  Specified by:
    `getPortletWindowNavigationalState` in interface `org.jboss.portal.portlet.controller.state.PortletPageNavigationalState`
  Throws:
    `java.lang.IllegalArgumentException`

### setPortletWindowNavigationalState

    public void setPortletWindowNavigationalState(java.lang.String windowName,
                                                  org.jboss.portal.portlet.controller.state.PortletWindowNavigationalState windowNavigationalState)
                                           throws java.lang.IllegalArgumentException,
                                                  java.lang.IllegalStateException

  Specified by:
    `setPortletWindowNavigationalState` in interface `org.jboss.portal.portlet.controller.state.PortletPageNavigationalState`
  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`

### setWindowPublicNavigationalState

    public void setWindowPublicNavigationalState(java.lang.String windowName,
                                                 javax.xml.namespace.QName name,
                                                 java.lang.String[] value)
                                          throws java.lang.IllegalArgumentException,
                                                 java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`

### getWindowPublicNavigationalState

    public java.lang.String[] getWindowPublicNavigationalState(java.lang.String windowName,
                                                               javax.xml.namespace.QName name)
                                                        throws java.lang.IllegalArgumentException,
                                                               java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`

### getPortletPublicNavigationalState

    public java.util.Map<java.lang.String,java.lang.String[]> getPortletPublicNavigationalState(java.lang.String windowName)
                                                                                         throws java.lang.IllegalArgumentException

  For now we do not implement any kind of mapping between qnames, it's the basic straightforward 1-1 mapping.

  Specified by:
    `getPortletPublicNavigationalState` in interface `org.jboss.portal.portlet.controller.state.PortletPageNavigationalState`
  Throws:
    `java.lang.IllegalArgumentException`

### getPublicNavigationalParameterId

    public java.lang.String getPublicNavigationalParameterId(java.lang.String windowName,
                                                             javax.xml.namespace.QName name)

### setPortletPublicNavigationalState

    public void setPortletPublicNavigationalState(java.lang.String windowName,
                                                  java.util.Map<java.lang.String,java.lang.String[]> update)

  Specified by:
    `setPortletPublicNavigationalState` in interface `org.jboss.portal.portlet.controller.state.PortletPageNavigationalState`

### getPublicNames

    public java.util.Set<javax.xml.namespace.QName> getPublicNames()

  Specified by:
    `getPublicNames` in interface `org.jboss.portal.portlet.controller.state.PortletPageNavigationalState`

### getPublicNavigationalState

    public java.lang.String[] getPublicNavigationalState(javax.xml.namespace.QName name)
                                                  throws java.lang.IllegalArgumentException

  Specified by:
    `getPublicNavigationalState` in interface `org.jboss.portal.portlet.controller.state.PortletPageNavigationalState`
  Throws:
    `java.lang.IllegalArgumentException`

### setPublicNavigationalState

    public void setPublicNavigationalState(javax.xml.namespace.QName name,
                                           java.lang.String[] value)
                                    throws java.lang.IllegalArgumentException,
                                           java.lang.IllegalStateException

  Specified by:
    `setPublicNavigationalState` in interface `org.jboss.portal.portlet.controller.state.PortletPageNavigationalState`
  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`

### removePublicNavigationalState

    public void removePublicNavigationalState(javax.xml.namespace.QName name)
                                       throws java.lang.IllegalArgumentException,
                                              java.lang.IllegalStateException

  Specified by:
    `removePublicNavigationalState` in interface `org.jboss.portal.portlet.controller.state.PortletPageNavigationalState`
  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`

### getWindowPublicContentStateParameters

    public java.util.HashMap<javax.xml.namespace.QName,java.lang.String[]> getWindowPublicContentStateParameters(java.lang.String windowName)

### getWindow

    public Window getWindow(java.lang.String windowName)

### getCoordinationManager

    public CoordinationManager getCoordinationManager()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD